Export (0) Print
Expand All
Expand Minimize

MouseButtonConstants Enumeration

Note: This API is now obsolete.

Provides constants for compatibility with the shift parameter mask constants in Visual Basic 6.0.

Namespace:  Microsoft.VisualBasic.Compatibility.VB6
Assembly:  Microsoft.VisualBasic.Compatibility (in Microsoft.VisualBasic.Compatibility.dll)

[ObsoleteAttribute("Microsoft.VisualBasic.Compatibility.* classes are obsolete and supported within 32 bit processes only. http://go.microsoft.com/fwlink/?linkid=160862")]
public enum MouseButtonConstants

Member nameDescription
LeftButtonEquivalent to the Visual Basic 6.0 constant vbLeftButton.
MiddleButtonEquivalent to the Visual Basic 6.0 constant vbMiddleButton.
RightButtonEquivalent to the Visual Basic 6.0 constant vbRightButton.

In Visual Basic 6.0, mouse button parameter mask constants were used to represent the state of mouse buttons in the Button parameter of various mouse event handlers. In Visual Basic, the parameters for mouse events have changed and these constants are no longer necessary. These constants enable code that has been upgraded from Visual Basic 6.0 to continue to run without further modification.

NoteNote

Functions and objects in the Microsoft.VisualBasic.Compatibility.VB6 namespace are provided for use by the tools for upgrading from Visual Basic 6.0 to Visual Basic. In most cases, these functions and objects duplicate functionality that you can find in other namespaces in the .NET Framework. They are necessary only when the Visual Basic 6.0 code model differs significantly from the .NET Framework implementation.

.NET Framework

Supported in: 3.5, 3.0, 2.0
Obsolete (compiler warning) in 4.6
Obsolete (compiler warning) in 4.5
Obsolete (compiler warning) in 4.5.1
Obsolete (compiler warning) in 4.5.2
Obsolete (compiler warning) in 4

.NET Framework Client Profile

Obsolete (compiler warning) in 4

Windows 8.1, Windows Server 2012 R2, Windows 8, Windows Server 2012, Windows 7, Windows Vista SP2, Windows Server 2008 (Server Core Role not supported), Windows Server 2008 R2 (Server Core Role supported with SP1 or later; Itanium not supported)

The .NET Framework does not support all versions of every platform. For a list of the supported versions, see .NET Framework System Requirements.

Show:
© 2014 Microsoft